GET /v2/team_templates.json
Operation ID: —
Auth: unknown
Description
Fetches multiple team template records. The records can be filtered, paged, and sorted according to the respective parameters. Team templates are templates that are available team-wide. Admins may use team templates to create original content for the entire team, monitor version control to ensure templates are always up to date, and track template performance across the entire organization. All metrics on a team template reflect usage across the team; individual metrics can be found with the email_templates API endpoint.
Parameters (12)
(array, query, optional)
IDs of team templates to fetch. If a record can't be found, that record won't be returned and your request will be successful
(boolean, query, optional)
Filters email templates to include archived templates or not
(boolean, query, optional)
Whether to include total_pages and total_count in the metadata. Defaults to false
(boolean, query, optional)
Specifies whether the max limit of 10k records should be applied to pagination counts. Affects the total_count and total_pages data
(integer, query, optional)
The current page to fetch results from. Defaults to 1
(integer, query, optional)
How many records to show per page in the range [1, 100]. Defaults to 25
(string, query, optional)
Filters email templates by title or subject
(string, query, optional)
Key to sort on, must be one of: created_at, updated_at, last_used_at. Defaults to updated_at
(string, query, optional)
Direction to sort in, must be one of: ASC, DESC. Defaults to DESC
(array, query, optional)
Filters team templates by tags applied to the template, not to exceed 100 tags
(array, query, optional)
Filters email templates by tags applied to the template by tag ID, not to exceed 100 IDs
(array, query, optional)
Equality filters that are applied to the updated_at field. A single filter can be used by itself or combined with other filters to create a range. ---CUSTOM--- {"type":"object","keys":[{"name":"gt","type":"iso8601 string","description":"Returns all matching records that are greater than the provided iso8601 timestamp. The comparison is done using microsecond precision."},{"name":"gte","type":"iso8601 string","description":"Returns all matching records that are greater than or equal to the provided iso8601 timestamp. The comparison is done using microsecond precision."},{"name":"lt","type":"iso8601 string","description":"Returns all matching records that are less than the provided iso8601 timestamp. The comparison is done using microsecond precision."},{"name":"lte","type":"iso8601 string","description":"Returns all matching records that are less than or equal to the provided iso8601 timestamp. The comparison is done using microsecond precision."}]}
No probe data for this endpoint yet.